<?php
/*
* Приложение FreeCMS.
* @package FreeCMS
*/

namespace freecms;

use Whoops\Handler\PrettyPageHandler;
use Whoops\Run;

/**
 * Подключаем настройки
 */
require 'fcms-configs/config.php';
/**
 * Подключаем автозагрузчик
 */
require './vendor/autoload.php';

/**
 * Подключаем страницу с ошибками (только в режиме разработки)
 */
if (FCMS_ENVIRONMENT == 'dev') {
    $whoops = new Run();
    $whoops->pushHandler(new PrettyPageHandler());
    $whoops->register();
}
